Subject: Bash page fault / b20.1
From: Alain CULOS <[email-masked]>
To: [email-masked]
Date: Sun, 12 Dec 1999 15:34:05 +0000

Dear All,

====
Please first note that I am not subscribed to the mailing list and
I usually use
  Alain.Culos -at- bigfoot.com
rather than the above address.
====

Intro :
I've been using bash/cygnus tools for a while now (since b17) and I am
now using b20 + mingw32 egcs 2.95.
I love all these tools they are pretty darn good.

Now to the point :
I managed to get a page fault in bash with the following :

create a small shell script containing :
1: #!/bin/sh
2: tar -cf archives.tar.bz2 --use-compress-program=bzip2 \
3:./arc    \
4:~/dir-for-archive
5:tar -tf archives.tar.bz2 --use-compress-program=bzip2 >
.archives.txt
6:gvim .archives.txt &

When you run it, it always shows an M$-WZ pop up window with a page
fault re. SH ; it also randomly shows a broken pipe in the shell
window as if bzip2 was expecting something ... when one puts "echo's"
in the script file one can see the second bzip2 is the one targeted by
the error message.
Note that gvim is a windows GUI app.

The funny thing is that when you change the last line of the shell
script to :
6:gvim .archives.txt
i.e. just take out the final '&'
then all is fine in the best of the worlds.

Other than that execution seems to be normal despite the error
message[s].
However it is always irritating to see a page fault and you wonder
whether the job completed properly.

====================
Platform :
Windows 95 B
Pentium Pro 200

====================
Products version info :

195 -> bash --version
GNU bash, version 2.02.1(2)-release (i586-pc-cygwin32)
Copyright 1998 Free Software Foundation, Inc.

197 -> tar --version
tar (GNU tar) 1.12

Copyright (C) 1988, 92, 93, 94, 95, 96, 97 Free Software Foundation,
Inc.
This is free software; see the source for copying conditions.  There
is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR
PURPOSE.

Written by John Gilmore and Jay Fenlason.

198 -> type tar
tar is hashed (/GNUWIN32/B20/H-I586-CYGWIN32/BIN/tar)

199 -> type bash
bash is hashed (/GNUWIN32/B20/H-I586-CYGWIN32/BIN/bash)

200 -> type bzip2
bzip2 is hashed (/USR/LOCAL/BIN/bzip2)

201 -> bzip2 --version
bzip2, a block-sorting file compressor.  Version 0.9.0b, 9-Sept-98.

   Copyright (C) 1996, 1997, 1998 by Julian Seward.

   This program is free software; you can redistribute it and/or
modify
   it under the terms set out in the LICENSE file, which is included
   in the bzip2-0.9.0b source distribution.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the
   LICENSE file for more details.

bzip2: I won't write compressed data to a terminal.
bzip2: For help, type: `bzip2 --help'.

204 -> type vim
vim is hashed (/USR/LOCAL/BIN/VIM/vim)

205 -> vim --help
VIM - Vi IMproved 5.3 (1998 Aug 30, compiled Sep 26 1998 22:08:45)
usage: vim [options] [file ..]       edit specified file(s)
   or: vim [options] -               read from stdin
   or: vim [options] -t tag          edit file where tag is defined
   or: vim [options] -q [errorfile]  edit file with first error

Options:
   --                   End of options
   -v                   Vi mode (like "vi")
   -e                   Ex mode (like "ex")
   -s                   Silent (batch) mode (only for "ex")
   -R                   Readonly mode (like "view")
   -Z                   Restricted mode (like "rvim")
   -b                   Binary mode
   -l                   Lisp mode
   -C                   Compatible with Vi: 'compatible'
   -N                   Not fully Vi compatible: 'nocompatible'
   -V[N]                Verbose level
   -n                   No swap file, use memory only
   -r                   List swap files and exit
   -r (with file name)  Recover crashed session
   -L                   Same as -r
   -H                   start in Hebrew mode
   -F                   start in Farsi mode
   -T <terminal>        Set terminal type to <terminal>
   -o[N]                Open N windows (default: one for each file)
   +                    Start at end of file
   +<lnum>              Start at line <lnum>
   -c <command>         Execute <command> first
   -s <scriptin>        Read commands from script file <scriptin>
   -w <scriptout>       Append commands to script file <scriptout>
   -W <scriptout>       Write commands to script file <scriptout>
   -u <vimrc>           Use <vimrc> instead of any .vimrc
   -i <viminfo>         Use <viminfo> instead of .viminfo
   -h                   print Help (this message) and exit
   --version            print version information and exit

206 -> type gvim
gvim is hashed (/USR/LOCAL/BIN/VIM/gvim)

--
Want to unsubscribe from this list?
Send a message to [email-masked]